NGCP-Panel
    A completely overhauled provisioning interface for the NGCP system.

NAME
    Build.PL - NGCP-Panel build system including test fixtures

SYNOPSIS
        perl ./Build
        ./Build test --webdriver='phantomjs --webdriver=4444'
        ./Build test --webdriver='java -jar selenium-server-standalone.jar'
        ./Build test --webdriver='chromedriver --url-base=wd/hub --port=4444'
        ./Build test --webdriver=selenium-rc # from CPAN distro Alien-SeleniumRC
        ./Build test --webdriver=external --wd-server=127.0.0.1:5555

        ./Build test_tap --webdriver=external # outputs tap to tap/ folder

        ./Build testcover --webdriver='phantomjs --webdriver=4444'

  Options
        --webdriver       (required) external webdriver command
        --wd-server       HOST:PORT of an external webdriver to connect to
        --server          URI for socket test server
        --schema-base-dir directory of NGCP::Schema if its not yet installed
        --mysqld-port     port where the mysqld should be started
        --mysql-dump      one or more mysql dumps to be imported to our mysqld
        --help            brief help message
        --man             full documentation

OPTIONS
  `--webdriver'
    (required) command to launch a webdriver external if the webdriver is
    launched externally

  `--wd-server'
    Host:Port of the webdriver to which the tests should connect. Default is
    set by Test::WebDriver to localhost:4444

  `--server'
    URI for the HTTP::Server::PSGI socket server run for testing, default
    `http://localhost:5000'

  `--schema-base-dir'
    If the NGCP::Schema is not installed to a known path to perl, this
    option can specify the base directory of its development location. It
    will then be included via blib, so we have access to its lib and share.

  `--mysqld-port'
    If this option and `--mysqld-dir' are supplied, a mysqld will be started
    at the specified port and be used for the tests. mysqld will be stopped
    and the temporary data deleted when this script finishes.

  `--mysql-dump'
    If this option and `--mysqld-port' are supplied, a mysqld will be
    started and be used for the tests. It will import all dumps supplied
    with this option. This option can be set multiple times. In this case
    all specified files will be dumped into the database.

  `--help'
    Print a brief help message and exits.

  `--man'
    Prints the manual page and exits.

I18N
    1. Update strings from database

        script/ngcp_panel_dump_db_strings.pl

    2. regenerate messages.pot (use -v for verbose output)

        xgettext.pl --output=lib/NGCP/Panel/I18N/messages.pot --directory=lib/ --directory=share/templates/ --directory=share/layout -P perl=tt,pm

    3. Update or create $LANG.po files

        msgmerge --update $LANG.po messages.pot

    In case your language did not exist already:

        msginit --input=lib/NGCP/Panel/I18N/messages.pot --output=lib/NGCP/Panel/I18N/$LANG.po --locale=$LANG

